package alx.p01_interakcja.konsola;

import java.util.Locale;
import java.util.Scanner;

public class Zakupy3 {

    // W tej wersji na poziomie aplikacji przełączam locale na amerykańskie. Zarówno podczas wczytywania danych, jak i wypisywania printf, będą używane kropki

    public static void main(String[] args) {
        // jeszcze przed utworzeniem Scannera
        Locale.setDefault(Locale.US);

        Scanner sc = new Scanner(System.in);
        System.out.printf("Co chcesz kupić? ");
        String towar = sc.nextLine();
        System.out.printf("Ile kosztuje jedna sztuka towaru %s? ", towar);
        double cena = sc.nextDouble();
        System.out.printf("Ile sztuk towaru %s chcesz kupić? ", towar);
        int sztuk = sc.nextInt();

        double suma = sztuk * cena;
        System.out.printf("Za %d sztuk towaru %s zapłacisz %.2f zł\n", sztuk, towar, suma);
    }
}
